
Foreman - Bug #33197

Creating compute resource (VMware) with incorrect credentials claims successfull test connection

08/02/2021 01:26 PM - Fabrice Brimioulle

Status: Closed   

Priority: Normal   

Assignee: Bernhard Suttner   

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases: 2.3.5

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8703

  

Description

How reproducible:

Steps to Reproduce:

1. Create a new compute resource in foreman (VMware) using incorrect login credentials.

2. Click on "Load Datacenters"

Actual results:

Datacenters are (of course) not loaded but foreman claims "Test connection successful".

Expected results:

The error "InvalidLogin: Cannot complete login due to an incorrect user name or password." is thrown.

Associated revisions

Revision cf6de107 - 08/03/2021 03:00 PM - Bernhard Suttner

Fixes #33197 - Show error message if credentials are wrong

History

#1 - 08/02/2021 02:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/8703 added

#2 - 08/03/2021 03:00 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 08/03/2021 04:08 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|cf6de10763ff2549ee345640d3605382bcc4d93b.
